Package: org.codehaus.groovy.transform.sc

## [Java] Enum StaticCompilationMetadataKeys

- org.codehaus.groovy.transform.sc.StaticCompilationMetadataKeys

-     public enum StaticCompilationMetadataKeys
      extends Enum

  Static compilation AST node metadata keys.

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `BINARY_EXP_TARGET` |
    `COMPONENT_TYPE` |
    `DYNAMIC_OUTER_NODE_CALLBACK` |
    `PRIVATE_BRIDGE_METHODS` |
    `PRIVATE_FIELDS_ACCESSORS` |
    `PRIVATE_FIELDS_MUTATORS` |
    `PROPERTY_OWNER` |
    `RECEIVER_OF_DYNAMIC_PROPERTY` |
    `STATIC_COMPILE_NODE` |

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Enum` | `name, equals, toString, hashCode, compareTo, compareTo, valueOf, describeConstable, getDeclaringClass, ordinal, wait, wait, wait, getClass, notify, notifyAll`

- - ### Enum Constant Detail

    - #### public StaticCompilationMetadataKeys BINARY_EXP_TARGET

    - #### public StaticCompilationMetadataKeys COMPONENT_TYPE

    - #### public StaticCompilationMetadataKeys DYNAMIC_OUTER_NODE_CALLBACK

    - #### public StaticCompilationMetadataKeys PRIVATE_BRIDGE_METHODS

    - #### public StaticCompilationMetadataKeys PRIVATE_FIELDS_ACCESSORS

    - #### public StaticCompilationMetadataKeys PRIVATE_FIELDS_MUTATORS

    - #### public StaticCompilationMetadataKeys PROPERTY_OWNER

    - #### public StaticCompilationMetadataKeys RECEIVER_OF_DYNAMIC_PROPERTY

    - #### public StaticCompilationMetadataKeys STATIC_COMPILE_NODE